Trigger Cue-Out (Custom Duration)
Sends a SCTE-35 cue-out signal to the stream encoder, overriding the stream's saved default ad break duration for this break only.
curl -X GET "https://api.5centscdn.com/v2/streams/push/123/adinsertion/cue-out/42" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY"
import requests
import json
url = "https://api.5centscdn.com/v2/streams/push/123/adinsertion/cue-out/42"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/streams/push/123/adinsertion/cue-out/42", {
method: "GET",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.5centscdn.com/v2/streams/push/123/adinsertion/cue-out/42", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/streams/push/123/adinsertion/cue-out/42')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
response = http.request(request)
puts response.body
{
"result": "success",
"message": "Ad Insertion triggered for 30s"
}
/streams/push/{streamid}/adinsertion/cue-out/{duration}Target server for requests. Edit to use your own host.
API key (sent in header)
Numeric stream ID.
Ad break duration in seconds, overriding the stream's saved default for this cue-out only.
Request Preview
Response
Response will appear here after sending the request
Authentication
API Key for authentication. Provide your API key in the header.
Path Parameters
Numeric stream ID.
Ad break duration in seconds, overriding the stream's saved default for this cue-out only.
Responses
Status of the API response.
successerrorHuman-readable message describing the result.